Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0009312Dwarf FortressDwarf Mode -- Thoughts and Preferencespublic2015-12-11 13:302018-02-06 18:14
ReporterTalvieno 
Assigned ToToady One 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformPCOSWindowsOS Version8.1
Product Version0.42.02 
Target VersionFixed in VersionNext Version 
Summary0009312: Forgotten Beasts become distracted after a time, without exception
DescriptionThe title pretty much says it all. "Distracted!" in red on their wounds list.
Steps To Reproduce1. Wait for forgotten beast
2. Wall off fortress
3. Wait for a while
Additional Informationhttp://dffd.bay12games.com/file.php?id=11430 [^] <--- save that reproduces it. There are other forgotten beasts down farther in the caverns (second layer), but they may be out of visual range. Some dev tools could reveal them.

My guess is that forgotten beasts have a total absence of needs and therefore become immediately distracted upon the next focus check.
TagsNo tags attached.
Attached Files

- Relationships
parent of 0009567resolvedToady One Animals get distracted over time for no apparent reason 

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2015-12-11 13:30 Talvieno New Issue
2015-12-11 14:17 Dwarfu Assigned To => Dwarfu
2015-12-11 14:17 Dwarfu Status new => confirmed
2016-05-08 17:23 Dwarfu Relationship added parent of 0009567
2016-05-09 23:48 Button Issue Monitored: Button
2017-06-08 20:24 Huntthetroll Issue Monitored: Huntthetroll
2018-02-06 18:14 Toady One Status confirmed => resolved
2018-02-06 18:14 Toady One Fixed in Version => Next Version
2018-02-06 18:14 Toady One Resolution open => fixed
2018-02-06 18:14 Toady One Assigned To Dwarfu => Toady One


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker